Package org.apache.tomcat.websocket

## Class DecoderEntry

- java.lang.Object
- - org.apache.tomcat.websocket.DecoderEntry

-     public class DecoderEntry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecoderEntry​(java.lang.Class<?> clazz, java.lang.Class<? extends Decoder> decoderClazz)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getClazz()` |
    `java.lang.Class<? extends Decoder>` | `getDecoderClazz()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderEntry

          public DecoderEntry​(java.lang.Class<?> clazz,
                              java.lang.Class<? extends Decoder> decoderClazz)

  - ### Method Detail

    - #### getClazz

          public java.lang.Class<?> getClazz()

    - #### getDecoderClazz

          public java.lang.Class<? extends Decoder> getDecoderClazz()